#*****************************************************************************
#                                                                            *
#       Author : J.Jansen                                                    *
#       Version : 1.0                                                        *
#       Date : 8 July 2003                                                   *
#       Purpose : Abinit make file for OpenVMS                               *
#       Note : the version of ABINIT is changed without changing the version *
#              of the present file                                           *
#                                                                            *
#*****************************************************************************
#
# Version of the code (note that no blank can appear between = and the version)
VERSION=4.2.5
MAIN_VERSION=4.2

MAINS=aim,anaddb,cut3d,mrgddb,newsp,lwf,conducti

# Archives for Src* directories
AR_DRIVE=[.Src_9drive]ar_9drive.olb
AR_CUT3D=[.Src_9cut3d]ar_9cut3d.olb
AR_SEQ=[.Src_8seqpar]ar_8abinis.olb
AR_PAR=[.Src_8seqpar]ar_8abinip.olb
AR_DDB=[.Src_7ddb]ar_7ddb.olb
AR_LWF=[.Src_7lwf]ar_7lwf.olb
AR_SUSCEP=[.Src_7suscep]ar_7suscep.olb
AR_RESPONSE=[.Src_6response]ar_6response.olb
AR_COMMON=[.Src_5common]ar_5common.olb
AR_IOWFDENPOT=[.Src_4iowfdenpot]ar_4iowfdenpot.olb
AR_WFS=[.Src_4wfs]ar_4wfs.olb
AR_GW=[.Src_3gw]ar_3gw.olb
AR_IOVARS=[.Src_3iovars]ar_3iovars.olb
AR_PAW=[.Src_3paw]ar_3paw.olb
AR_RECIPSPACE=[.Src_3recipspace]ar_3recipspace.olb
AR_XC=[.Src_3xc]ar_3xc.olb
AR_XML=[.Src_3xml]ar_3xml.olb
AR_BADER=[.Src_2bader]ar_2bader.olb
AR_NONLOCAL=[.Src_2nonlocal]ar_2nonlocal.olb
AR_FFTS=[.Src_2ffts]ar_2ffts.olb
AR_PSP=[.Src_2psp]ar_2psp.olb
AR_GEOMETRY=[.Src_2geometry]ar_2geometry.olb
AR_PARSER=[.Src_2parser]ar_2parser.olb
AR_SPACEPAR=[.Src_2spacepar]ar_2spacepar.olb
AR_CONTRACT=[.Src_1contract]ar_1contract.olb
AR_UTIL=[.Src_1util]ar_1util.olb
AR_BASIS=[.Src_0basis]ar_0basis.olb
AR_BASIP=[.Src_0basis]ar_0basip.olb
AR_DEFS=[.Src_defs]ar_defs.olb

AR_NUMERIC=[.Lib_numeric]numeric.olb
AR_NUMERICF90=[.Lib_numericf90]libnumericf90.olb
AR_FFTNEW=[.Lib_fftnew]fftnew.olb
AR_FFTNEWP=[.Lib_fftnew]fftnewp.olb
AR_LIGHT=[.Lib_light]light.olb

allseq : version,crea_descrip_mms.exe,vms_prepare_input.exe,prepare_input
	$(MMS) numeric,fftnew,abinis,$(MAINS)

# Create a one-line version definition
version :
	open/write vfile include.version
	write vfile " character*6, parameter :: codvsn=""$(VERSION)"""
	close vfile

crea_descrip_mms.exe : crea_descrip_mms.obj
	link crea_descrip_mms

crea_descrip_mms.obj : [.vms]crea_descrip_mms.f90
	f90 [.vms]crea_descrip_mms

vms_prepare_input.exe : vms_prepare_input.obj
	link vms_prepare_input

vms_prepare_input.obj : [.vms]vms_prepare_input.f90
	f90 [.vms]vms_prepare_input

numeric :
	$(MMS) [.Lib_numeric]descrip.mms
	set default [.Lib_numeric]
	$(MMS)
	set default [-]

numericf90 :
	$(MMS) [.Lib_numericf90]descrip.mms
	set default [.Lib_numericf90]
	$(MMS)
	set default [-]

fftnew :
	$(MMS) [.Lib_fftnew]descrip.mms
	set default [.Lib_fftnew]
	$(MMS)
	set default [-]

DEP_ABINIS=$(AR_DRIVE) $(AR_SEQ) $(AR_SUSCEP) \
 $(AR_RESPONSE) $(AR_COMMON) $(AR_IOWFDENPOT) $(AR_WFS) $(AR_GW)   \
 $(AR_IOVARS) $(AR_PAW) $(AR_RECIPSPACE) $(AR_XC) $(AR_XML) $(AR_NONLOCAL) \
 $(AR_FFTS) $(AR_PSP) $(AR_GEOMETRY) $(AR_PARSER) $(AR_SPACEPAR)         \
 $(AR_UTIL) $(AR_CONTRACT) $(AR_BASIS) $(AR_DEFS) $(AR_FFTNEW) $(AR_NUMERIC)\
 $(AR_NUMERICF90)

DEP_ABINIS_LIB=$(AR_DRIVE)/lib,$(AR_SEQ)/lib,$(AR_SUSCEP)/lib,\
	$(AR_RESPONSE)/lib,$(AR_COMMON)/lib,$(AR_IOWFDENPOT)/lib,\
	$(AR_WFS)/lib,$(AR_GW)/lib,$(AR_IOVARS)/lib,$(AR_PAW)/lib,\
	$(AR_RECIPSPACE)/lib,$(AR_XC)/lib,$(AR_XML)/lib,$(AR_NONLOCAL)/lib,\
	$(AR_FFTS)/lib,$(AR_PSP)/lib,$(AR_GEOMETRY)/lib,$(AR_PARSER)/lib,\
	$(AR_SPACEPAR)/lib,$(AR_UTIL)/lib,$(AR_CONTRACT)/lib,$(AR_BASIS)/lib,\
	$(AR_DEFS)/lib,$(AR_FFTNEW)/lib,$(AR_NUMERIC)/lib,$(AR_NUMERICF90)/lib

abinis : abinis.exe
	write sys$output " abinis.exe has been made "
	write sys$output " "

abinis.exe : [.Src_main]abinis.obj $(DEP_ABINIS)
	write sys$output " abinis.exe will be made "
	write sys$output " "
	link/exec=abinis.exe [.Src_main]abinis.obj,$(DEP_ABINIS_LIB)

[.Src_main]abinis.obj : [.Src_main]abinit.f [.Src_defs]ar_defs.olb
	set default [.Src_main]
	cc/define=(VMS)/comment=as_is/prep=abinit.f_ abinit.f
	f90/source=free/convert=big_endian/name=lowercase\
	/opti=(tune=host,nopipe)/arch=host/debug/object=abinis.obj\
	/check=(noarg,bo,form,fp,noout,over,powe,under)\
	/include=([-],[-.Src_defs]) abinit.f_
	delete abinit.f_;*
	set default [-]

DEP_AIM= $(AR_BADER) $(AR_GEOMETRY) $(AR_IOWFDENPOT) $(AR_UTIL) $(AR_BASIS)\
	$(AR_DEFS) $(AR_NUMERIC) $(AR_NUMERICF90) $(AR_PARSER)

DEP_AIM_LIB=$(AR_BADER)/lib,$(AR_GEOMETRY)/lib,$(AR_IOWFDENPOT)/lib,\
	$(AR_PARSER)/lib,$(AR_UTIL)/lib,$(AR_BASIS)/lib,$(AR_DEFS)/lib,\
	$(AR_NUMERIC)/lib,$(AR_NUMERICF90)/lib

aim : aim.exe
	write sys$output " aim.exe has been made "
	write sys$output " "

aim.exe : [.Src_main]aim.obj $(DEP_AIM)
	write sys$output " aim.exe will be made "
	write sys$output " "
	link/exec=aim.exe [.Src_main]aim.obj,$(DEP_AIM_LIB)

[.Src_main]aim.obj : [.Src_main]aim.f [.Src_defs]ar_defs.olb
	set default [.Src_main]
	cc/define=(VMS)/comment=as_is/prep=aim.f_ aim.f
	f90/source=free/convert=big_endian/name=lowercase\
	/opti=(tune=host,nopipe)/arch=host/debug/object=aim.obj\
	/check=(noarg,bo,form,fp,noout,over,powe,under)\
	/include=([-],[-.Src_defs]) aim.f_
	delete aim.f_;*
	set default [-]

DEP_ANADDB=$(AR_DDB) $(AR_RESPONSE) $(AR_WFS) \
 $(AR_RECIPSPACE) $(AR_GEOMETRY) $(AR_PARSER) $(AR_SPACEPAR) \
 $(AR_UTIL) $(AR_BASIS) $(AR_DEFS) $(AR_NUMERIC) $(AR_NUMERICF90)

DEP_ANADDB_LIB=$(AR_DDB)/lib,$(AR_RESPONSE)/lib,$(AR_WFS)/lib,\
	$(AR_RECIPSPACE)/lib,$(AR_GEOMETRY)/lib,$(AR_PARSER)/lib,\
	$(AR_SPACEPAR)/lib,$(AR_UTIL)/lib,$(AR_BASIS)/lib,$(AR_DEFS)/lib,\
	$(AR_NUMERIC)/lib,$(AR_NUMERICF90)/lib

anaddb : anaddb.exe
	write sys$output " anaddb.exe has been made "
	write sys$output " "

anaddb.exe : [.Src_main]anaddb.obj $(DEP_ANADDB)
	write sys$output " anaddb.exe will be made "
	write sys$output " "
	link/exec=anaddb.exe [.Src_main]anaddb.obj,$(DEP_ANADDB_LIB)

[.Src_main]anaddb.obj : [.Src_main]anaddb.f [.Src_defs]ar_defs.olb
	set default [.Src_main]
	cc/define=(VMS)/comment=as_is/prep=anaddb.f_ anaddb.f
	f90/source=free/convert=big_endian/name=lowercase\
	/opti=(tune=host,nopipe)/arch=host/debug/object=anaddb.obj\
	/check=(noarg,bo,form,fp,noout,over,powe,under)\
	/include=([-],[-.Src_defs]) anaddb.f_
	delete anaddb.f_;*
	set default [-]

DEP_CUT3D=$(AR_CUT3D) $(AR_SEQ) $(AR_COMMON) $(AR_WFS) $(AR_IOWFDENPOT) \
	$(AR_GEOMETRY) $(AR_FFTS) $(AR_SPACEPAR) $(AR_RECIPSPACE) $(AR_UTIL) \
	$(AR_CONTRACT) $(AR_BASIS) $(AR_DEFS) $(AR_FFTNEW) $(AR_NUMERIC) \
	$(AR_NONLOCAL) $(AR_NUMERICF90)

DEP_CUT3D_LIB=$(AR_CUT3D)/lib,$(AR_SEQ)/lib,$(AR_COMMON)/lib,$(AR_WFS)/lib,\
	$(AR_IOWFDENPOT)/lib,$(AR_GEOMETRY)/lib,$(AR_FFTS)/lib,\
	$(AR_SPACEPAR)/lib,$(AR_RECIPSPACE)/lib,$(AR_UTIL)/lib,\
	$(AR_NONLOCAL)/lib,$(AR_CONTRACT)/lib,$(AR_BASIS)/lib,$(AR_DEFS)/lib,\
	$(AR_FFTNEW)/lib,$(AR_NUMERIC)/lib,$(AR_NUMERICF90)/lib

cut3d : cut3d.exe
	write sys$output " cut3d.exe has been made "
	write sys$output " "

cut3d.exe : [.Src_main]cut3d.obj $(DEP_CUT3D)
	write sys$output " cut3d.exe will be made "
	write sys$output " "
	link/exec=cut3d.exe [.Src_main]cut3d.obj,$(DEP_CUT3D_LIB)

[.Src_main]cut3d.obj : [.Src_main]cut3d.f [.Src_defs]ar_defs.olb
	set default [.Src_main]
	cc/define=(VMS)/comment=as_is/prep=cut3d.f_ cut3d.f
	f90/source=free/convert=big_endian/name=lowercase\
	/opti=(tune=host,nopipe)/arch=host/debug/object=cut3d.obj\
	/check=(noarg,bo,form,fp,noout,over,powe,under)\
	/include=([-],[-.Src_defs]) cut3d.f_
	delete cut3d.f_;*
	set default [-]

DEP_MRGDDB=$(AR_DDB) $(AR_RESPONSE) $(AR_UTIL) $(AR_BASIS) $(AR_DEFS)\
	$(AR_NUMERIC) $(AR_NUMERICF90)

DEP_MRGDDB_LIB=$(AR_DDB)/lib,$(AR_RESPONSE)/lib,$(AR_UTIL)/lib,\
	$(AR_BASIS)/lib,$(AR_DEFS)/lib,$(AR_NUMERIC)/lib,$(AR_NUMERICF90)/lib

mrgddb : mrgddb.exe
	write sys$output " mrgddb.exe has been made "
	write sys$output " "

mrgddb.exe : [.Src_main]mrgddb.obj $(DEP_MRGDDB)
	write sys$output " mrgddb.exe will be made "
	write sys$output " "
	link/exec=mrgddb.exe [.Src_main]mrgddb.obj,$(DEP_MRGDDB_LIB)

[.Src_main]mrgddb.obj : [.Src_main]mrgddb.f [.Src_defs]ar_defs.olb
	set default [.Src_main]
	cc/define=(VMS)/comment=as_is/prep=mrgddb.f_ mrgddb.f
	f90/source=free/convert=big_endian/name=lowercase\
	/opti=(tune=host,nopipe)/arch=host/debug/object=mrgddb.obj\
	/check=(noarg,bo,form,fp,noout,over,powe,under)\
	/include=([-],[-.Src_defs]) mrgddb.f_
	delete mrgddb.f_;*
	set default [-]

DEP_NEWSP=$(AR_SEQ) $(AR_COMMON) $(AR_WFS) $(AR_IOWFDENPOT) $(AR_IOVARS) \
	$(AR_RECIPSPACE) $(AR_XML) $(AR_NONLOCAL)     \
	$(AR_FFTS) $(AR_GEOMETRY) $(AR_PARSER) $(AR_SPACEPAR)         \
	$(AR_UTIL) $(AR_CONTRACT) $(AR_BASIS) $(AR_DEFS) $(AR_FFTNEW)\
	$(AR_NUMERIC) $(AR_NUMERICF90)

DEP_NEWSP_LIB=$(AR_SEQ)/lib,$(AR_COMMON)/lib,$(AR_WFS)/lib,\
	$(AR_IOWFDENPOT)/lib,$(AR_IOVARS)/lib,$(AR_RECIPSPACE)/lib,\
	$(AR_XML)/lib,$(AR_NONLOCAL)/lib,$(AR_FFTS)/lib,$(AR_GEOMETRY)/lib,\
	$(AR_PARSER)/lib,$(AR_SPACEPAR)/lib,$(AR_UTIL)/lib,$(AR_CONTRACT)/lib,\
	$(AR_BASIS)/lib,$(AR_DEFS)/lib,$(AR_FFTNEW)/lib,$(AR_NUMERIC)/lib,\
	$(AR_NUMERICF90)/lib

newsp : newsp.exe
	write sys$output " newsp.exe has been made "
	write sys$output " "

newsp.exe : [.Src_main]newsp.obj $(DEP_NEWSP)
	write sys$output " newsp.exe will be made "
	write sys$output " "
	link/exec=newsp.exe [.Src_main]newsp.obj,$(DEP_NEWSP_LIB)

[.Src_main]newsp.obj : [.Src_main]newsp.f [.Src_defs]ar_defs.olb
	set default [.Src_main]
	cc/define=(VMS)/comment=as_is/prep=newsp.f_ newsp.f
	f90/source=free/convert=big_endian/name=lowercase\
	/opti=(tune=host,nopipe)/arch=host/debug/object=newsp.obj\
	/check=(noarg,bo,form,fp,noout,over,powe,under)\
	/include=([-],[-.Src_defs]) newsp.f_
	delete newsp.f_;*
	set default [-]

DEP_LWF=$(AR_LWF) $(AR_PARSER) $(AR_UTIL) $(AR_BASIS) $(AR_DEFS) $(AR_NUMERIC)\
	 $(AR_NUMERICF90)

DEP_LWF_LIB=$(AR_LWF)/lib,$(AR_PARSER)/lib,$(AR_UTIL)/lib,$(AR_BASIS)/lib,\
	$(AR_DEFS)/lib,$(AR_NUMERIC)/lib,$(AR_NUMERICF90)/lib

lwf : lwf.exe
	write sys$output " lwf.exe has been made "
	write sys$output " "

lwf.exe : [.Src_main]lwf.obj $(DEP_LWF)
	write sys$output " lwf.exe will be made "
	write sys$output " "
	link/exec=lwf.exe [.Src_main]lwf.obj,$(DEP_LWF_LIB)

[.Src_main]lwf.obj : [.Src_main]lwf.f [.Src_defs]ar_defs.olb
	set default [.Src_main]
	cc/define=(VMS)/comment=as_is/prep=lwf.f_ lwf.f
	f90/source=free/convert=big_endian/name=lowercase\
	/opti=(tune=host,nopipe)/arch=host/debug/object=lwf.obj\
	/check=(noarg,bo,form,fp,noout,over,powe,under)\
	/include=([-],[-.Src_defs]) lwf.f_
	delete lwf.f_;*
	set default [-]

DEP_CONDUCTI=$(AR_COMMON) $(AR_IOWFDENPOT) $(AR_GEOMETRY) $(AR_UTIL)\
	$(AR_BASIS) $(AR_DEFS) $(AR_NUMERIC) $(AR_NUMERICF90)

DEP_CONDUCTI_LIB=$(AR_COMMON)/lib,$(AR_IOWFDENPOT)/lib,$(AR_GEOMETRY)/lib,\
	$(AR_UTIL)/lib,$(AR_BASIS)/lib,$(AR_DEFS)/lib,$(AR_NUMERIC)/lib,\
	$(AR_NUMERICF90)/lib

conducti : conducti.exe
	write sys$output " conducti.exe has been made "
	write sys$output " "

conducti.exe : [.Src_main]conducti.obj $(DEP_CONDUCTI)
	write sys$output " conducti.exe will be made "
	write sys$output " "
	link/exec=conducti.exe [.Src_main]conducti.obj,$(DEP_CONDUCTI_LIB)

[.Src_main]conducti.obj : [.Src_main]conducti.f [.Src_defs]ar_defs.olb
	set default [.Src_main]
	cc/define=(VMS)/comment=as_is/prep=conducti.f_ conducti.f
	f90/source=free/convert=big_endian/name=lowercase\
	/opti=(tune=host,nopipe)/arch=host/debug/object=conducti.obj\
	/check=(noarg,bo,form,fp,noout,over,powe,under)\
	/include=([-],[-.Src_defs]) conducti.f_
	delete conducti.f_;*
	set default [-]

[.Src_defs]ar_defs.olb :
	$(MMS) [.Src_defs]descrip.mms
	set default [.Src_defs]
	$(MMS)
	set default [-]

[.Lib_numericf90]libnumericf90.olb :
	$(MMS) [.Lib_numericf90]descrip.mms
	set default [.Lib_numericf90]
	$(MMS)
	set default [-]

[.Src_9drive]ar_9drive.olb :
	$(MMS) [.Src_9drive]descrip.mms
	set default [.Src_9drive]
	$(MMS)
	set default [-]

[.Src_9cut3d]ar_9cut3d.olb :
	$(MMS) [.Src_9cut3d]descrip.mms
	set default [.Src_9cut3d]
	$(MMS)
	set default [-]

[.Src_8seqpar]ar_8abinis.olb :
	$(MMS) [.Src_8seqpar]descrip.mms
	set default [.Src_8seqpar]
	$(MMS)
	set default [-]

[.Src_7suscep]ar_7suscep.olb :
	$(MMS) [.Src_7suscep]descrip.mms
	set default [.Src_7suscep]
	$(MMS)
	set default [-]

[.Src_7ddb]ar_7ddb.olb :
	$(MMS) [.Src_7ddb]descrip.mms
	set default [.Src_7ddb]
	$(MMS)
	set default [-]

[.Src_7lwf]ar_7lwf.olb :
	$(MMS) [.Src_7lwf]descrip.mms
	set default [.Src_7lwf]
	$(MMS)
	set default [-]

[.Src_6response]ar_6response.olb :
	$(MMS) [.Src_6response]descrip.mms
	set default [.Src_6response]
	$(MMS)
	set default [-]

[.Src_5common]ar_5common.olb :
	$(MMS) [.Src_5common]descrip.mms
	set default [.Src_5common]
	$(MMS)
	set default [-]

[.Src_4iowfdenpot]ar_4iowfdenpot.olb :
	$(MMS) [.Src_4iowfdenpot]descrip.mms
	set default [.Src_4iowfdenpot]
	$(MMS)
	set default [-]

[.Src_4wfs]ar_4wfs.olb :
	$(MMS) [.Src_4wfs]descrip.mms
	set default [.Src_4wfs]
	$(MMS)
	set default [-]

[.Src_3gw]ar_3gw.olb :
	$(MMS) [.Src_3gw]descrip.mms
	set default [.Src_3gw]
	$(MMS)
	set default [-]

[.Src_3iovars]ar_3iovars.olb :
	$(MMS) [.Src_3iovars]descrip.mms
	set default [.Src_3iovars]
	$(MMS)
	set default [-]

[.Src_3paw]ar_3paw.olb :
	$(MMS) [.Src_3paw]descrip.mms
	set default [.Src_3paw]
	$(MMS)
	set default [-]

[.Src_3recipspace]ar_3recipspace.olb :
	$(MMS) [.Src_3recipspace]descrip.mms
	set default [.Src_3recipspace]
	$(MMS)
	set default [-]

[.Src_3xc]ar_3xc.olb :
	$(MMS) [.Src_3xc]descrip.mms
	set default [.Src_3xc]
	$(MMS)
	set default [-]

[.Src_3xml]ar_3xml.olb :
	$(MMS) [.Src_3xml]descrip.mms
	set default [.Src_3xml]
	$(MMS)
	set default [-]

[.Src_2nonlocal]ar_2nonlocal.olb :
	$(MMS) [.Src_2nonlocal]descrip.mms
	set default [.Src_2nonlocal]
	$(MMS)
	set default [-]

[.Src_2ffts]ar_2ffts.olb :
	$(MMS) [.Src_2ffts]descrip.mms
	set default [.Src_2ffts]
	$(MMS)
	set default [-]

[.Src_2psp]ar_2psp.olb :
	$(MMS) [.Src_2psp]descrip.mms
	set default [.Src_2psp]
	$(MMS)
	set default [-]

[.Src_2geometry]ar_2geometry.olb :
	$(MMS) [.Src_2geometry]descrip.mms
	set default [.Src_2geometry]
	$(MMS)
	set default [-]

[.Src_2parser]ar_2parser.olb :
	$(MMS) [.Src_2parser]descrip.mms
	set default [.Src_2parser]
	$(MMS)
	set default [-]

[.Src_2spacepar]ar_2spacepar.olb :
	$(MMS) [.Src_2spacepar]descrip.mms
	set default [.Src_2spacepar]
	$(MMS)
	set default [-]

[.Src_2bader]ar_2bader.olb :
	$(MMS) [.Src_2bader]descrip.mms
	set default [.Src_2bader]
	$(MMS)
	set default [-]

[.Src_1contract]ar_1contract.olb :
	$(MMS) [.Src_1contract]descrip.mms
	set default [.Src_1contract]
	$(MMS)
	set default [-]

[.Src_1util]ar_1util.olb :
	$(MMS) [.Src_1util]descrip.mms
	set default [.Src_1util]
	$(MMS)
	set default [-]

[.Src_0basis]ar_0basis.olb :
	$(MMS) [.Src_0basis]descrip.mms
	set default [.Src_0basis]
	$(MMS)
	set default [-]

[.Lib_fftnew]descrip.mms : [.Lib_fftnew]descrip.mms_template \
	[.Lib_fftnew]object_list.
	set def [.Lib_fftnew]
	run [-]crea_descrip_mms
	set def [-]

[.Lib_numeric]descrip.mms : [.Lib_numeric]descrip.mms_template \
	[.Lib_numeric]object_list.
	set def [.Lib_numeric]
	run [-]crea_descrip_mms
	set def [-]

[.Lib_numericf90]descrip.mms : [.Lib_numericf90]descrip.mms_template \
	[.Lib_numeric]object_list.
	set def [.Lib_numericf90]
	run [-]crea_descrip_mms
	set def [-]

[.Src_0basis]descrip.mms : [.Src_0basis]descrip.mms_template \
	[.Src_0basis]object_list.
	set def [.Src_0basis]
	run [-]crea_descrip_mms
	set def [-]

[.Src_1contract]descrip.mms : [.Src_1contract]descrip.mms_template \
	[.Src_1contract]object_list.
	set def [.Src_1contract]
	run [-]crea_descrip_mms
	set def [-]

[.Src_1util]descrip.mms : [.Src_1util]descrip.mms_template \
	[.Src_1util]object_list.
	set def [.Src_1util]
	run [-]crea_descrip_mms
	set def [-]

[.Src_2bader]descrip.mms : [.Src_2bader]descrip.mms_template \
	[.Src_2bader]object_list.
	set def [.Src_2bader]
	run [-]crea_descrip_mms
	set def [-]

[.Src_2ffts]descrip.mms : [.Src_2ffts]descrip.mms_template \
	[.Src_2ffts]object_list.
	set def [.Src_2ffts]
	run [-]crea_descrip_mms
	set def [-]

[.Src_2geometry]descrip.mms : [.Src_2geometry]descrip.mms_template \
	[.Src_2geometry]object_list.
	set def [.Src_2geometry]
	run [-]crea_descrip_mms
	set def [-]

[.Src_2nonlocal]descrip.mms : [.Src_2nonlocal]descrip.mms_template \
	[.Src_2nonlocal]object_list.
	set def [.Src_2nonlocal]
	run [-]crea_descrip_mms
	set def [-]

[.Src_2parser]descrip.mms : [.Src_2parser]descrip.mms_template \
	[.Src_2parser]object_list.
	set def [.Src_2parser]
	run [-]crea_descrip_mms
	set def [-]

[.Src_2psp]descrip.mms : [.Src_2psp]descrip.mms_template \
	[.Src_2psp]object_list.
	set def [.Src_2psp]
	run [-]crea_descrip_mms
	set def [-]

[.Src_2spacepar]descrip.mms : [.Src_2spacepar]descrip.mms_template \
	[.Src_2spacepar]object_list.
	set def [.Src_2spacepar]
	run [-]crea_descrip_mms
	set def [-]

[.Src_3gw]descrip.mms : [.Src_3gw]descrip.mms_template \
	[.Src_3gw]object_list.
	set def [.Src_3gw]
	run [-]crea_descrip_mms
	set def [-]

[.Src_3iovars]descrip.mms : [.Src_3iovars]descrip.mms_template \
	[.Src_3iovars]object_list.
	set def [.Src_3iovars]
	run [-]crea_descrip_mms
	set def [-]

[.Src_3paw]descrip.mms : [.Src_3paw]descrip.mms_template \
	[.Src_3paw]object_list.
	set def [.Src_3paw]
	run [-]crea_descrip_mms
	set def [-]

[.Src_3recipspace]descrip.mms : [.Src_3recipspace]descrip.mms_template \
	[.Src_3recipspace]object_list.
	set def [.Src_3recipspace]
	run [-]crea_descrip_mms
	set def [-]

[.Src_3xc]descrip.mms : [.Src_3xc]descrip.mms_template \
	[.Src_3xc]object_list.
	set def [.Src_3xc]
	run [-]crea_descrip_mms
	set def [-]

[.Src_3xml]descrip.mms : [.Src_3xml]descrip.mms_template \
	[.Src_3xml]object_list.
	set def [.Src_3xml]
	run [-]crea_descrip_mms
	set def [-]

[.Src_4iowfdenpot]descrip.mms : [.Src_4iowfdenpot]descrip.mms_template \
	[.Src_4iowfdenpot]object_list.
	set def [.Src_4iowfdenpot]
	run [-]crea_descrip_mms
	set def [-]

[.Src_4wfs]descrip.mms : [.Src_4wfs]descrip.mms_template \
	[.Src_4wfs]object_list.
	set def [.Src_4wfs]
	run [-]crea_descrip_mms
	set def [-]

[.Src_5common]descrip.mms : [.Src_5common]descrip.mms_template \
	[.Src_5common]object_list.
	set def [.Src_5common]
	run [-]crea_descrip_mms
	set def [-]

[.Src_6response]descrip.mms : [.Src_6response]descrip.mms_template \
	[.Src_6response]object_list.
	set def [.Src_6response]
	run [-]crea_descrip_mms
	set def [-]

[.Src_7ddb]descrip.mms : [.Src_7ddb]descrip.mms_template \
	[.Src_7ddb]object_list.
	set def [.Src_7ddb]
	run [-]crea_descrip_mms
	set def [-]

[.Src_7lwf]descrip.mms : [.Src_7lwf]descrip.mms_template \
	[.Src_7lwf]object_list.
	set def [.Src_7lwf]
	run [-]crea_descrip_mms
	set def [-]

[.Src_7suscep]descrip.mms : [.Src_7suscep]descrip.mms_template \
	[.Src_7suscep]object_list.
	set def [.Src_7suscep]
	run [-]crea_descrip_mms
	set def [-]

[.Src_8seqpar]descrip.mms : [.Src_8seqpar]descrip.mms_template \
	[.Src_8seqpar]object_list.
	set def [.Src_8seqpar]
	run [-]crea_descrip_mms
	set def [-]

[.Src_9cut3d]descrip.mms : [.Src_9cut3d]descrip.mms_template \
	[.Src_9cut3d]object_list.
	set def [.Src_9cut3d]
	run [-]crea_descrip_mms
	set def [-]

[.Src_9drive]descrip.mms : [.Src_9drive]descrip.mms_template \
	[.Src_9drive]object_list.
	set def [.Src_9drive]
	run [-]crea_descrip_mms
	set def [-]

[.Src_defs]descrip.mms : [.Src_defs]descrip.mms_template \
	[.Src_defs]object_list.
	set def [.Src_defs]
	run [-]crea_descrip_mms
	set def [-]

prepare_input :
	set def [.Test_in]
	mcr [-]vms_prepare_input test1.files
	mcr [-]vms_prepare_input test2.files
	mcr [-]vms_prepare_input test3.files
	mcr [-]vms_prepare_input test4.files
	mcr [-]vms_prepare_input test5.files
	set def [-]

# Build-in tests
tests : test1 test2 test3 test4 test5
	write sys$output "Performed test 1-5"

test12 : test1 test2 
	write sys$output "Performed test 1-2"

test123 : test1 test2 test3 
	write sys$output "Performed test 1-3"

test124 : test1 test2 test4 
	write sys$output "Performed test 1,2,4"

test125 : test1 test2 test5 
	write sys$output "Performed test 1,2,5"

test1 :
	define/job/nolog PLATFORM_FOR_ABINIS OPENVMS
	define/job/nolog OSTYPE OPENVMS
	set def [.Test_in]
	perl run.pl 1
	set def [-]

test2 :
	define/job/nolog PLATFORM_FOR_ABINIS OPENVMS
	define/job/nolog OSTYPE OPENVMS
	set def [.Test_in]
	perl run.pl 2
	set def [-]

test3 :
	define/job/nolog PLATFORM_FOR_ABINIS OPENVMS
	define/job/nolog OSTYPE OPENVMS
	set def [.Test_in]
	perl run.pl 3
	set def [-]

test4 :
	define/job/nolog PLATFORM_FOR_ABINIS OPENVMS
	define/job/nolog OSTYPE OPENVMS
	set def [.Test_in]
	perl run.pl 4
	set def [-]

test5 :
	define/job/nolog PLATFORM_FOR_ABINIS OPENVMS
	define/job/nolog OSTYPE OPENVMS
	set def [.Test_in]
	perl run.pl 5
	set def [-]
